# Gimp.Resource.id_is_valid

    @accepts(int)
    @returns(bool)
    def id_is_valid(resource_id):
        # Python wrapper for gimp_resource_id_is_valid()

Returns TRUE if the resource ID is valid.

This procedure checks if the given resource ID is valid and refers to an existing resource.

*Note*: in most use cases, you should not use this function. If you got a [class@Gimp.Resource] from the API, you should trust it is valid. This function is mostly for internal usage.

Since 3.0

resource_id

  The resource ID to check.

Returns